Receipt Upload
Upload and scan a receipt with a receipt scanning app that uses optical character
recognition to read and interpret receipts. For the unlocked package, this API uploads the image
into the Amazon S3 bucket.
Resource
1services/apexrest/upload-receiptRest Method Type
PUT
Signature
1curl --location --request PUT 'https://yourInstance.salesforce.com/services/apexrest/upload-receipt/?membershipnumber=124345696' \
2--header 'Content-Type: image/jpeg' \
3--header 'Authorization: Bearer 00DB000000FX0aR!ARQAQCyXQGgMcxjFvjs1hnPCDJEZyPavtzxM26XvjDU.gr56iTgkGp_EQCZ0yyi1QZzILDqO1my3KpJqhKAOc56o4jqx6CxU' \
4--header 'Cookie: BrowserId=MZ4W4WebEe6bX0_gtfh0Tw; CookieConsentPolicy=0:1; LSKey-c$CookieConsentPolicy=0:1' \
5--data '@1jFvSuLyR/Alpine receipt (4) (1) (2).jpg'Input Parameters
| Parameter | Type | Description | Required or Optional |
|---|---|---|---|
| membershipnumber | String | The unique identifier of the member. | Required |
Sample Output
1{
2 "status" : "Success",
3 "message" : "b9746ab0-fea3-b9ef-dc9c-ea5b905a822e.jpeg",
4 "errorCode" : ""
5}Output Parameter
| Parameter | Type | Description |
|---|---|---|
| errorCode | Integer | The error code if the transaction fails for any reason. |
| message | String | The error message if the transaction fails for any reason. |
| status | String | The status of the receipt upload. |